For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DocumentationAPI Reference
DocumentationAPI Reference
  • API Reference
      • POSTCreate Work Order from Existing
      • POSTCreate Work Order
      • POSTUpload Attachment
      • GETGet Action Types
LogoLogo
API ReferenceKitting

Create Work Order

||View as Markdown|
POST
/Experimental/kitting:create
POST
/Experimental/kitting:create
$curl -X POST https://api.shipbob.com/Experimental/kitting:create \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "actions": [
> {
> "order": 1,
> "work_order_action_type_id": 1,
> "attachments": [],
> "instructions": "Scan the barcode on the product before kitting",
> "sub_actions": []
> },
> {
> "order": 2,
> "work_order_action_type_id": 2,
> "attachments": [],
> "instructions": "Package items according to kit specifications",
> "sub_actions": [
> {
> "order": 1,
> "work_order_action_type_id": 3,
> "attachments": [
> {
> "id": "photo-001",
> "name": "completed-kit-photo"
> }
> ],
> "data": null,
> "instructions": "Take a photo of the completed kit"
> }
> ]
> }
> ],
> "end_kitted_inventory_id": 42,
> "fulfillment_center_id": 1,
> "line_items": [
> {
> "inventory_id": 101,
> "quantity": 10
> }
> ],
> "quantity": 10,
> "workorder_type": "Kitting",
> "lot_date": "2024-01-15T09:00:00+00:00",
> "lot_number": "LOT-2024-001"
>}'
1{
2 "shipment_id": 0
3}
Creates a kitting work order. Currently only Kitting is supported as a work order type.
Was this page helpful?
Previous

Create Work Order from Existing

Next

Upload Attachment

Built with

Authentication

AuthorizationBearer

Authentication using Personal Access Token (PAT) token

OR
AuthorizationBearer
OAuth2 authentication using JWT tokens

Request

The work order creation request
actionslist of objectsRequired

The actions (steps) to be performed for the kitting work order.

end_kitted_inventory_idintegerRequired1-2147483647
The inventory identifier for the end kitted product.
fulfillment_center_idintegerRequired1-2147483647
The fulfillment center identifier where the work order will be processed.
line_itemslist of objectsRequired
The component inventory line items for the kitting work order. Each line item's quantity represents the amount of that inventory required to produce a single kit.
quantityintegerRequired1-2147483647
The number of kits to produce.
workorder_typeenumRequired
Allowed values:
lot_datedatetimeOptional
Optional lot date for the kitting work order.
lot_numberstringOptional0-32 characters
Optional lot number for the kitting work order.

Response

Success
shipment_idinteger
The shipment identifier associated with the created work order.

Errors

400
Bad Request Error
500
Internal Server Error